#if !defined(__alfflistwin_h) // Sentry, use file only if it's not already included.
#define __alfflistwin_h
/*  Project Biblio-Tec

	 SUBSYSTEM:    TEC30r.dll Library (TecLib)
	 FILE:         alfflstw.h
	 AUTHOR:       Alcindo Ferreira Filho

	 OVERVIEW:
	 ALFFImageList, ALFFListWindowColumn and ALFFListWindow
    Classes definition, the classes for being used
    where multicolumn windows are needed. They hide OWL
    correspondent classes.

    COPYRIGHT:    © 2005
                  Alcindo Ferreira Filho
                  <alcindo@inttec.com.br>

    LICENSE:      Biblio-Tec license (BiblTec.txt)
*/

// These classes are available only under WIN32 Targets
#ifdef _WIN32

#include <owl\listwind.h>   // OWL TListWindow Definitions
#include <owl\imagelst.h>	 // OWL TImageList  Definitions
#include "alffobj.h"

//{{ALFFImageList  = TImageList }}
class _TECLIBCLASS ALFFImageList  : public TImageList, public ALFFObject
{
 public:
	ALFFImageList(const TSize& size, uint flags, int initCount, int growBy);
   ALFFImageList(const TBitmap& bmp, uint flags, int initCount, int growBy);
   ALFFImageList(const TDib& dib, uint flags, int initCount, int growBy);
   ALFFImageList(HINSTANCE hI, TResId resName, int w, int growBy, const TColor& mask, uint type, uint flags);
   ALFFImageList(HIMAGELIST imageList);
   ALFFImageList(const TImageList& src);
   ALFFImageList(TPoint& pt, TPoint& hotspot);
   ~ALFFImageList();
   char far* GetClassName() {return "ALFFImageList";}
 protected:

};

//{{ALFFListWindow = TListWindow}}
class  _TECLIBCLASS ALFFListWindColumn: public TListWindColumn, public ALFFObject
{
 public:
	ALFFListWindColumn();
	ALFFListWindColumn(LV_COLUMN);
	ALFFListWindColumn(char far*, int width, TFormat how = Left, int subItem = 0);
   ~ALFFListWindColumn();
   char far* GetClassName() {return "ALFFListWindColumn";}
 protected:

};

//{{ALFFListWindow = TListWindow}}
class  _TECLIBCLASS ALFFListWindow : public TListWindow, public ALFFObject
{
 public:
   //Constructs a list window object with the supplied parent window (parent)
   //library ID (module), position (x, y) relative to the origin of the
   // parent window's client area, width (w), and height (h).
   ALFFListWindow (TWindow* parent,
                   int Id,
                   int x, int y, int w, int h,
                   TModule* module = 0);
   //Object to be associated with a list window control of a ALFFDialog object
   ALFFListWindow (TWindow* parent,
                   int resourceId,
                   TModule* module = 0);
   virtual ~ALFFListWindow();
   char far* GetClassName() {return "ALFFListWindow";}
 protected:

 DECLARE_RESPONSE_TABLE(ALFFListWindow);
};

#endif   // _WIN32

#endif  //
